# ----- General -------------------------------------------------------------
DEBUG=off

SOURCE_FILES=chart.cpp

# ----- Usage ---------------------------------------------------------------
usage:
	@type <<

Usage:

zmake dos16      (16 bit DOS with Pharlap)
zmake dos16b     (16 bit DOS with Blinker)
zmake dos32      (32 bit DOS)
zmake win16      (16 bit Windows)
zmake win32      (32 bit Windows)
zmake win32dll   (32 bit Windows dll)
zmake vxworks    (vxWorks)
<<

# ----- Clean ---------------------------------------------------------------

clean:
	z_clean

# ----- Platforms -----------------------------------------------------------

dos16: chart16.exe

dos16b: chart16.exe

dos32: chart32.exe

win16: wchart16.exe

win32: wchart32.exe

win32dll: wchart.exe

vxworks: vchart.o

# ----- Targets -------------------------------------------------------------

!if "$(ZINC_COMPILER)" == "borland"
D16_DEFINITION_FILE=b16.def
!endif

#
# Build options for chart16.exe
#
TARGET=chart16.exe
TARGET_TYPE=EXE
PLATFORM=DOS16
ADD_LIBRARIES=cfzd16.lib
DEFINITION_FILE=$(D16_DEFINITION_FILE)
!include <zaf.mak>

#
# Build options for chart1b.exe
#
TARGET=chart1b.exe
TARGET_TYPE=EXE
PLATFORM=DOS16B
ADD_LIBRARIES=cfzd16.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for chart32.exe
#
TARGET=chart32.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
ADD_LIBRARIES=cfzd32.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wchart16.exe
#
TARGET=wchart16.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
ADD_LIBRARIES=cfzw16.lib
DEFINITION_FILE=win16.def
!include <zaf.mak>

#
# Build options for wchart32.exe
#
TARGET=wchart32.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
ADD_LIBRARIES=cfzw32.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wchart.exe
#
TARGET=wchart.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
ADD_LIBRARIES=cfzw32i.lib
DEFINITION_FILE=
!include <zaf.mak>

# ----- VxWorks -------------------------------------------------------------

ADD_COMPILE_OPTS=-DZAF_VXW_APP_NAME=vchart

#
# Build options for vchart.o
#
TARGET=vchart.o
TARGET_TYPE=exe
PLATFORM=vxworks
ADD_LIBRARIES=$(ZAF_ROOT)\lib\$(ZINC_COMPILER)\cfzvxw.a
DEFINITION_FILE=
SOURCE_FILES=chart.cpp v_app.cpp
!include <zaf.mak>

